Bug 507430 - S/Lang stack / memory leaks
Summary: S/Lang stack / memory leaks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lon Hohberger
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-06-22 18:22 UTC by Lon Hohberger
Modified: 2016-04-26 15:37 UTC (History)
6 users (show)

Fixed In Version: rgmanager-1.9.88-1.el4
Doc Type: Bug Fix
Doc Text:
Previously, the S/Lang code could lead to unwanted S/Lang stack leaks during event processing. With this update, the S/Lang stack has no more memory leaks.
Clone Of:
: 507431 (view as bug list)
Environment:
Last Closed: 2011-02-16 15:09:28 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0264 0 normal SHIPPED_LIVE Low: rgmanager security and bug fix update 2011-02-16 15:07:04 UTC

Description Lon Hohberger 2009-06-22 18:22:43 UTC
Description of problem:

During event processing, an error in the S/Lang code can produce unwanted S/Lang stack leaks.  This can be fixed a number of ways, for example, purging the stack at the end of each run.  However, the correct fix is to not leak the variables in the first place.

After several hundred events are handled, the S/Lang stack can fill up, requiring a retry of the service operation.  On failover, this could result in a service not running if central_processing is enabled.

Normally, however, it's during a user operation, requiring a retry of that operation.

Comment 8 Florian Nadge 2011-01-03 14:12:08 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the S/Lang code could lead to unwanted S/Lang stack leaks during event processing. With this update, the S/Lang stack has no more memory leaks.

Comment 9 errata-xmlrpc 2011-02-16 15:09:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0264.html


Note You need to log in before you can comment on or make changes to this bug.